# Paragraph
Yes, the schema is very strict. Without this extension you won’t even be able to use paragraphs in the editor.

## Options
| Option | Type   | Default | Description                                  |
| ------ | ------ | ------- | -------------------------------------------- |
| class  | string | –       | Add a custom class to the rendered HTML tag. |

## Commands
*None*

## Keyboard shortcuts
*None*

## Source Code
[packages/extension-paragraph/](https://github.com/ueberdosis/tiptap-next/blob/main/packages/extension-paragraph/)

## Usage
<demo name="Extensions/Paragraph" highlight="11,29" />
